JBoss API: Class LRUEnterpriseContextCachePolicy.OveragerTask

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class LRUEnterpriseContextCachePolicy.OveragerTask

    java.lang.Object
      |
      +--java.util.TimerTask
            |
            +--org.jboss.ejb.plugins.LRUEnterpriseContextCachePolicy.OveragerTask

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  LRUStatefulContextCachePolicy.RemoverTask

Enclosing class:
  LRUEnterpriseContextCachePolicy

protected class LRUEnterpriseContextCachePolicy.OveragerTask
extends java.util.TimerTask

This TimerTask passivates cached beans that have not been called for a while.

Constructor Summary
`protected` | `LRUEnterpriseContextCachePolicy.OveragerTask(long period)`

Method Summary
`protected java.lang.String` | `getJMSTaskType()`
`protected long` | `getMaxAge()`
`protected java.lang.String` | `getTaskLogMessage()`
`protected void` | `kickOut(LRUCachePolicy.LRUCacheEntry entry)`
`void` | `run()`

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LRUEnterpriseContextCachePolicy.OveragerTask

    protected LRUEnterpriseContextCachePolicy.OveragerTask(long period)

Method Detail

### run

    public void run()

  Overrides:
    `run` in class `java.util.TimerTask`

### getTaskLogMessage

    protected java.lang.String getTaskLogMessage()

### getJMSTaskType

    protected java.lang.String getJMSTaskType()

### kickOut

    protected void kickOut(LRUCachePolicy.LRUCacheEntry entry)

### getMaxAge

    protected long getMaxAge()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.